#!/bin/sh
set -e
set -x

if [ "$#" -lt 3 ]; then
    echo 'Need at least three arguments: service name, DB name, and backup directory names.'
    false
fi
app="$1"
db_name="$2"
shift 2

cd /tmp
rm -rf "${app}_backup"
mkdir "${app}_backup"
chmod 777 "${app}_backup"

service "${app}" stop

su postgres -lc "pg_dump -d ${db_name} --format=custom -f /tmp/${app}_backup/${db_name}.pgdump"
for target in "$@"; do
    mkdir -p $(dirname "${app}_backup${target}")
    cp -a "${target}" "${app}_backup${target}"
done

tar cf "${app}_backup.tar" "${app}_backup"
rm -rf "${app}_backup"
chown plom:plom "${app}_backup.tar"
mv "${app}_backup.tar" /home/plom
